"""
Created on Sun Apr 23 17:13:30 2017

@author: Patrick Staubach
"""
import matplotlib
import matplotlib.pyplot as plt
import matplotlib.ticker as mtick
from pylab import genfromtxt
from matplotlib import rc
import os 
import numpy as np
dir_path = os.path.dirname(os.path.realpath(__file__))

#=============================================================================
# General settings
#%% =============================================================================

mylinewidth=1.0
mytextwidth=11
matplotlib.rcParams['axes.linewidth'] = 0.8 #set the value globally
#=============================================================================
# Read data
#%% =============================================================================
dirname = ''

dir_path = os.path.normpath(os.getcwd() +dirname)
sim2 = genfromtxt(dir_path+'/'+'u1_elastic_abaqus_noFric.inp',skip_header=4)

dirname = '/step-print-out'

dir_path = os.path.normpath(os.getcwd() +dirname)
sim1 = genfromtxt(dir_path+'/'+'PILE-1.PILE_LOAD_node_18.dat',skip_header=1)


index_theta_s= min(range(len(sim2[:,0])), key=lambda i: abs(sim2[i,0]-3.5))
print(index_theta_s,sim2[index_theta_s,0])
index_start_HCA= min(range(len(sim2[:,0])), key=lambda i: abs(sim2[i,0]-5))
print(index_start_HCA,sim2[index_start_HCA,0])



#=============================================================================
# Plot first data
#%% =============================================================================
plt.figure(1)
plt.subplot(121)

plt.plot(sim1[:,0]-2,(sim1[:,1]-sim1[0,1])*1000.,'r-', linewidth=mylinewidth+1,\
         markersize=4,markerfacecolor='none',\
         label=r'numgeo',clip_on=True)
plt.plot(sim2[:,0]-2,(sim2[:,1]-sim2[0,1])*1000. ,'db-', linewidth=mylinewidth,\
         markersize=4,markerfacecolor='none',markevery=10,\
         label=r'Abaqus',clip_on=True)

ax = plt.gca()
#ax.set_yscale('log')
ax.set_xlabel(r'Load history [-]',fontsize=mytextwidth)
ax.set_ylabel(r'Displacement [mm]',fontsize=mytextwidth,labelpad=7)

legend=ax.legend(bbox_to_anchor=(0.40, 1.1), loc='center',fontsize=mytextwidth-1,ncol=1)
frame=legend.get_frame()
frame.set_edgecolor('white')
frame.set_facecolor('white')
legend.get_frame().set_alpha(1)


ax.axis([0,3,-0.05,0.3])


ax.tick_params(axis='x',direction='in')
ax.tick_params(axis='y',direction='in')
ax.grid(True,color='k',linewidth=0.6)

plt.tight_layout() 
fig = plt.gcf()  
fig.savefig('numgeo_vs_abaqus.pdf', dpi=400 , bbox_inches='tight')
